Bug 67358 - Adjusting column or row sizes in a Writer table causes artifact lines
Summary: Adjusting column or row sizes in a Writer table causes artifact lines
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All Linux (All)
: high trivial
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.2.0 target:4.1.2 target:4.0.6
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2013-07-26 16:00 UTC by crxssi
Modified: 2015-12-17 07:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot showing table line artifacts (82.67 KB, image/jpeg)
2013-07-26 16:00 UTC, crxssi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description crxssi 2013-07-26 16:00:17 UTC
Created attachment 83042 [details]
screenshot showing table line artifacts

Steps to reproduce:

* Insert a table in a writer document.
* Use the mouse to adjust the column or row sizes.
* Notice the dotted artifact line left on the screen.
* The artifacts will disappear when you click outside of the table or anywhere else in the table, but will not disappear if you just start typing. 

I have attached a commented screenshot which shows this behavior.  Tested in LO 4.0 and 4.1 running under RHEL 6 and displayed on a TrueColor X display on Fedora 17.
Comment 1 Joel Madero 2013-08-06 20:43:56 UTC
Updating version to oldest confirmed version stated by crxssi

I am shocked that this is a regression but...it is so here it goes:


Thank you for reporting this issue! I have been able to confirm the issue on:
Version: 4.2.0.0.alpha0+Build ID: 09a4c4d176ff97ab8ff4027af83a549991667baf
 Date:   Tue Jul 30 19:05:34 2013 +0300 
Platform: Bodhi Linux 2.2 x64

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Trivial - no impact at all really
High - regression - probably should deal with it + doesn't look great

Keywords - regression

Whiteboard Status - bibisected

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 Joel Madero 2013-08-06 20:45:29 UTC
786d524d5ef5d7026b14861c104a5100c5c34f86 is the first bad commit
commit 786d524d5ef5d7026b14861c104a5100c5c34f86
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Tue Dec 11 06:25:06 2012 +0000

    source-hash-41c2b0375773b2d2945d75e255ea6bb6c7fd378d
    
    commit 41c2b0375773b2d2945d75e255ea6bb6c7fd378d
    Author:     László Németh <nemeth@numbertext.org>
    AuthorDate: Sat Nov 24 17:15:17 2012 +0100
    Commit:     Gerrit Code Review <gerrit@vm2.documentfoundation.org>
    CommitDate: Sat Nov 24 16:19:58 2012 +0000
    
        Updated core
        Project: help  48c8755aca088c7af28cd8ef47c4834175914dff
        fdo#57483 remove check capitalization (ugly 1980 thing)

:100644 100644 c3c6030ca2524901562ab3929e935673afc71830 aef1e548ce98a45bfe5985b09d2a8216ffffd30f M	autogen.log
:100644 100644 537efee1f0aa43276018fbef22f31a039d585277 0d03cdd08ac0b1a4e736e7a74465a8800ca981d1 M	ccache.log
:100644 100644 f2a75602878c4df7953cbf1b55a359cbd9bb0517 ddd1deead2548e7237334d419220468f89fdc6a0 M	commitmsg
:100644 100644 85a79a37af08bd274e297046fa4a10c1d63c9723 c72be0167d41f6011e06840a042d290790db9a40 M	dev-install.log
:100644 100644 92233f8a81a90f0d4783a29c9b4d18e29331386e 15937adfaadaa5398797fb14a5f5f45f32d03d77 M	make.log
:040000 040000 1a8cd079128c641268a10a127c07921bd46b0003 87c1a75f4d31a803fecb37c3cfeef9ffba68873f M	opt



# bad: [5b4b36d87517a6ea96ff8c84c46b12f462fc9a1a] source-hash-8450a99c744e9005f19173e4df35d65640bcf5c4
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9] source-hash-099198a4224778fe6e43f5dc13b5b9b1b4dc828c
git bisect good 16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9
# good: [f28b8f9a6c47fa59bf98fffe937a2f2db7a2445a] source-hash-a581d31b227623e09d2970a91214fda398f98eda
git bisect good f28b8f9a6c47fa59bf98fffe937a2f2db7a2445a
# good: [114fd3b76bcba890e6d702d00cef910f1493c262] source-hash-64ab96cd15e52da88781e720d6f031dbcd0ba902
git bisect good 114fd3b76bcba890e6d702d00cef910f1493c262
# good: [47498a36f7af8f54e6e3dda89cd4708802a409e6] source-hash-19f4ebd8a54da0ae03b9cc8481613e5cd20ee1e7
git bisect good 47498a36f7af8f54e6e3dda89cd4708802a409e6
# bad: [66083171ba534818399937597388d325091fffab] source-hash-9d83ad0e99ab182506be99f7d6a2bec7f6fbe8c6
git bisect bad 66083171ba534818399937597388d325091fffab
# good: [5dddcff8ae35692d89751ae98ab8acbbf802b5b4] source-hash-d85fd8a85501547d5bb87822d2589a07aed7f2d6
git bisect good 5dddcff8ae35692d89751ae98ab8acbbf802b5b4
# good: [99fa32bfa0d6116217da0834f3a630b3775aa16a] source-hash-246ffb108c7e1f762f8d497750ad2414b85b99ef
git bisect good 99fa32bfa0d6116217da0834f3a630b3775aa16a
# bad: [786d524d5ef5d7026b14861c104a5100c5c34f86] source-hash-41c2b0375773b2d2945d75e255ea6bb6c7fd378d
git bisect bad 786d524d5ef5d7026b14861c104a5100c5c34f86
Comment 3 Michael Stahl (CIB) 2013-08-12 17:39:08 UTC
regression from:

commit 289185fd02d6d9734b6dbde01f15c4e6c5beacbb
Author:     Cédric Bosdonnat <cedric.bosdonnat@free.fr>
AuthorDate: Wed Nov 21 16:07:34 2012 +0100

    Header/Footer: fixed click on frames over the header/footer area.
Comment 4 Michael Stahl (CIB) 2013-08-28 12:55:03 UTC
fixed (or at least "fixed") on master
Comment 5 Commit Notification 2013-08-28 12:59:33 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2c67975c03010b90c706523293f180c1f29e229

fdo#67358: sw: "fix" line painting artifacts when resizing columns



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-08-29 14:42:13 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=43003812ca085a642d262d5cbf1a63f8df043d40&h=libreoffice-4-1

fdo#67358: sw: "fix" line painting artifacts when resizing columns


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-09-01 11:49:32 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f387c93e42ba1028e9fc54e10cb0e8c0e1b7a75&h=libreoffice-4-0

fdo#67358: sw: "fix" line painting artifacts when resizing columns


It will be available in LibreOffice 4.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 crxssi 2013-10-07 13:40:15 UTC
I am verifying that this issue is, indeed, fixed in 4.1.2.3.  Thanks!
Comment 9 Robinson Tryon (qubit) 2015-12-17 07:16:31 UTC Comment hidden (obsolete)